#pragma once

#include "Qubit.h"

#include "Vector.h"
#include "String.h"

class QuantumState
{
public:
    void addValue(const Qubit& data)
    {
        mState.push_back(data);
    }

    const Vector<Qubit>& getData() const;

    String toString() const;

private:
    Vector<Qubit> mState;
};
