#include "QuantumState.h"

const Vector<Qubit>& QuantumState::getData() const
{
    return mState;
}

String QuantumState::toString() const
{
    String out;
    for (const auto& qubit : mState)
    {
        out += "|" + qubit.toString() + "\n";
    }
    return out;
}
